firefox-3.0 doesn't import existing bookmarks

Bug #163746 reported by Colin Watson on 2007-11-19
6
Affects Status Importance Assigned to Milestone
firefox-3.0 (Ubuntu)
Undecided
Mozilla Team

Bug Description

Binary package hint: firefox-3.0

I was impressed that firefox-3.0 started up with my existing sessionstore.js from firefox (2.0), and in general preserved most of my configuration. However, it didn't use my existing bookmarks, and I had to import those manually. Would it be possible for it to use firefox 2.0's bookmarks automatically?

Related branches

Fabien Tassin (fta) wrote :

Everything is supposed to be imported automatically as we duplicate the whole profile during the 1st run.
You may be hitting a known bug but you didn't mention which version you were running (Alpha 8 from Gutsy or Beta 1 RC3 from Hardy). Were you missing the Bookmarks toolbar, the usual Bookmarks menu/list or both ?

Could you also open the Error Console (in Tools) and see if there's something in the "Errors" category?

Thanks.

Marcelo Atie (marceloatie) wrote :

This bug was fixed in FireFox 3.0 Beta 1,
but we still need Upgrade.

see bug #164123

Changed in firefox-3.0:
status: New → In Progress
Emilio Pozuelo Monfort (pochu) wrote :

Beta 1 is in Hardy.

Changed in firefox-3.0:
status: In Progress → Fix Released
Marcelo Atie (marceloatie) wrote :

We need it on Ubuntu stable

Changed in firefox-3.0:
status: Fix Released → Confirmed
assignee: nobody → mozillateam
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package firefox-3.0 - 3.0~b3~cvs20080101t1000+nobinonly-0ubuntu1

---------------
firefox-3.0 (3.0~b3~cvs20080101t1000+nobinonly-0ubuntu1) hardy; urgency=low

  * new years upstream snapshot (3.0b3 pre, CVS 20080101t1000) features:
    - new firefox 3 version (LP: #178066)
    - file upload dialog has preview for images (LP: #89381)
    - gnome/gtk theme icons for main navigation and mime-type icons work
      properly now (LP: #160942)
    - honours proper plugin/extension locations now (LP: #123118)
      (see https://wiki.ubuntu.com/XulrunnerGecko)
    - import bookmarks from ffox 2 properly (LP: #163746)
    - proper implementation for adding security exceptions (LP: #179706)

  [ Alexander Sack ]
  * new upstream snapshot (3.0b3 pre, CVS 20080101t1000)
  * update firefox-profile patch because of changed upstream codebase
    - update debian/patches/firefox-profilename
  * firefox-3.0 now has its own extensions directory because latest
    xulrunner-1.9 supports extensions (and plugins) in three directories:
    PROFILE, APP (ffox), GRE (xul)
    - update debian/firefox-3.0.dirs
    - update debian/rules
  * exceptional official branding release for cvs version to hardy: add easy to
    use FORCE_OFFICIAL_BRANDING switch in rules and enable it for this release
    - update debian/rules

  [ Fabien Tassin ]
  * Move xulrunner-1.9 dependencies to b3
    - update debian/control

firefox-3.0 (3.0~b2+nobinonly-0ubuntu1) hardy; urgency=low

  [ Fabien Tassin ]
  * new upstream snapshot (3.0b2 from FIREFOX_3_0b2_RELEASE)
    - update debian/changelog
  * Drop debian/patches/no-have-stdint-h-ftbfs.patch integrated
    upstream and bump xulrunner requirements to 1.9~b2~cvs20071119
    - update debian/control
    - drop debian/patches/no-have-stdint-h-ftbfs.patch
    - update debian/patches/series
  * Add libdbus-glib-1-dev >= 0.60 to build-deps. See MozBug #388743.
    - update debian/control
  * Update rules to use system cairo if cairo >= 1.5.4 is found
    - update debian/rules
  * Add libpixman-1-dev to build-deps, needed by system cairo
    - update debian/control
  * Update Standards-Version to 3.7.3
    - update debian/control
  * Drop -1.9 suffix of expected xulrunner-1.9 pkg-config files
    - update debian/patches/nspr_flags_by_pkg_config_hack.patch
  * Fold Build-Depends line making changes easier to track in diffs
    - update debian/control

  [ Alexander Sack ]
  * use system nspr and system nss; add build-depends accordingly
    - update debian/control
    - update debian/rules
  * add versioned depends on xulrunner-1.9 >= 1.9~b2+nobinonly which is the
    first xulrunner-1.9 that officially uses system nspr/nss.
  * tighten dependency on xulrunner-1.9 << 1.9~b3~
    - update debian/control
  * drop DEV_PACKAGE_INDICATION business because xulrunner pkg-config files
    properly reference system-nss/nspr since 1.9+b2+nobinonly
    - update debian/rules

 -- Alexander Sack <email address hidden> Wed, 02 Jan 2008 15:43:50 +0100

Changed in firefox-3.0:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers